### 3.2 PDF, PostScript, and SVG Output Options

To produce output in PDF, PostScript, and SVG formats, specify `-o file` on the pspp command line, optionally followed by any of the options shown in the table below to customize the output format.

PDF, PostScript, and SVG output is only available if your installation of pspp was compiled with the Cairo library.

`-O format={pdf|ps|svg}`
  Specify the output format. This is only necessary if the file name given on `-o` does not end in `.pdf`, `.ps`, or `.svg`.
`-O paper-size=paper-size`
  Paper size, as a name (e.g. `a4`, `letter`) or measurements (e.g. `210x297`, `8.5x11in`).

  The default paper size is taken from the `PAPERSIZE` environment variable or the file indicated by the `PAPERCONF` environment variable, if either variable is set. If not, and your system supports the `LC_PAPER` locale category, then the default paper size is taken from the locale. Otherwise, if `/etc/papersize` exists, the default paper size is read from it. As a last resort, A4 paper is assumed.

`-O foreground-color=color`
`-O background-color=color`
  Sets color as the color to be used for the background or foreground. Color should be given in the format `#`RRRR GGGG BBBB, where RRRR, GGGG and BBBB are 4 character hexadecimal representations of the red, green and blue components respectively.
`-O orientation=orientation`
  Either `portrait` or `landscape`. Default: `portrait`.
`-O left-margin=dimension`
`-O right-margin=dimension`
`-O top-margin=dimension`
`-O bottom-margin=dimension`
  Sets the margins around the page. See below for the allowed forms of dimension Default: `0.5in`.
`-O prop-font=font-name`
`-O emph-font=font-name`
`-O fixed-font=font-name`
  Sets the font used for proportional, emphasized, or fixed-pitch text. Most systems support CSS-like font names such as “serif” and “monospace”, but a wide range of system-specific font are likely to be supported as well.

  Default: proportional font `serif`, emphasis font `serif italic`, fixed-pitch font `monospace`.

`-O font-size=font-size`
  Sets the size of the default fonts, in thousandths of a point. Default: 10000 (10 point).
`-O line-gutter=dimension`
  Sets the width of white space on either side of lines that border text or graphics objects. Default: `1pt`.
`-O line-spacing=dimension`
  Sets the spacing between the lines in a double line in a table. Default: `1pt`.
`-O line-width=dimension`
  Sets the width of the lines used in tables. Default: `0.5pt`.

Each dimension value above may be specified in various units based on its suffix: ‘`mm`’ for millimeters, ‘`in`’ for inches, or ‘`pt`’ for points. Lacking a suffix, numbers below 50 are assumed to be in inches and those about 50 are assumed to be in millimeters.